SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 1757134 - The modify/edit view of "UpdateStrategy" Descriptor is missing
Summary: The modify/edit view of "UpdateStrategy" Descriptor is missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.2.z
Assignee: Cyril
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1753812
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-30 16:17 UTC by Samuel Padgett
Modified: 2019-11-13 18:55 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1753812
Environment:
Last Closed: 2019-11-13 18:55:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 2993 'None' 'closed' 'Bug 1757134: Modify View Update Strategy Descriptor' 2019-12-09 08:30:52 UTC
Red Hat Product Errata RHBA-2019:3303 None None None 2019-11-13 18:55:59 UTC

Comment 3 Yanping Zhang 2019-10-28 07:28:51 UTC
Checked on OCP 4.2 with payload: 4.2.0-0.nightly-2019-10-27-140004
Steps to verify:
1. Install Portworx Operator from OperatorHub
2. On "Installed Operators" view, add "UpdateStrategy" descriptor to Portworx's CSV file under "specDescriptor" section.
3. Create "StorageCluster" CR with "Edit Form" view
4. Select "Recreate" in "UpdateStrategy" widget/field in the creation form and "Create"
5. "Update Strategy" field on "StorageCluster" details is shown correctly.
6. Click "Recreate" under "UpdateStratedy" field, the update form is opened, and update strategy to "RollingUpdate", click "Save".
7. Update succeeds, and "RollingUpdate" is shown under "Update Strategy" field now.
The bug has been fixed, so move it to Verified.

Comment 5 errata-xmlrpc 2019-11-13 18:55:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3303


Note You need to log in before you can comment on or make changes to this bug.